Kerbal Space Program - Bug #18849

Autostruts can lock the Advanced Grabbing Unit's pivot
05/09/2018 04:52 PM - peteletroll
Severity: Low % Done: 50%
Assignee:
Platform: Linux Mod Related: No
Description

In some configuration Autostruts lock the Grabber pivoting capability.
From experimenting with modding, it looks like IJointLockState.lsJointUnlocked() is not called in these cases.

Steps to reproduce:

1. Launch the included craft (Autostrut Bug.craft);

2. Arm the Grabber;

3. Stage: the Grabber will fall and grab the FL-A5 Adapter;

4. Autostrut the Grabber to grandparent part: the Grabber will connect to th lower RC-001S Guidance Unit;
5. Free the Grabber pivot;

6. The Grabber won't be able to pivot!

The same bug appears if the upper Battery Bank is autostrutted to grandparent part (the lower FL5-Adapter the Grabber grabbed).

History

#1 - 05/12/2018 09:13 AM - peteletroll

This is important for all mods that make parts move (Infernal Robotics and DockRotate for instance).

#2 - 05/31/2018 01:25 PM - peteletroll
Probably related to #18356

#3 - 05/25/2019 09:09 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed in 1.7.0 by building craft similar to the one attached to the original post.

Most auto-struts that should break when the pivot goes free, do properly break.
Only auto-struts from the grabber itself, and auto-struts from a part attached to the grabber to a grandparent across the pivot joint, fail to disconnect
when the pivot is freed.

#4 - 06/02/2019 06:23 AM - Anonymous

In version 1.7.1, this is partially fixed. In the second example from the top post, where we autostrut the Battery Bank to grandparent, now freeing the
pivot properly breaks that autostrut across the joint, restoring it when we re-lock the pivot.

Autostrutting the grabber itself to something else still prevents its free pivoting.
#5 - 06/04/2019 08:40 PM - meirumeiru
not in all modes | guess... grandParent should work, heaviest should not work, root should not work ... but I'm not allowed to know this... tell me if you

are interested in the explanation

#6 - 06/12/2019 08:01 PM - chris.fulton

- Status changed from Confirmed to Ready to Test
https://bugs.kerbalspaceprogram.com/issues/18356

- Target version set to 1.7.2

- % Done changed from 10 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.2.25557?

#7 - 06/16/2019 04:51 AM - Anonymous

- Status changed from Ready to Test to Not Fixed

- % Done changed from 80 to 50

The behavior is the same as in version 1.7.1 : only auto-strutting the grabber itself prevents the pivoting.

That behavior is and was the same in all auto-strut modes (grandparent, root, or heaviest part) for the example given above, because all those struts
bridge the base of the grabber to something on the other side of the pivot.

Files

Autostrut Bug.craft 15.4 KB 05/09/2018 peteletroll
